
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest2 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test001"); }


    double d2 = org.apache.commons.math3.special.Gamma.regularizedGammaQ(65.22133426393013d, 11.833336070820506d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test002"); }


    org.apache.commons.math3.distribution.LogNormalDistribution logNormalDistribution3 = new org.apache.commons.math3.distribution.LogNormalDistribution(48.89097005201885d, 0.8363093841165682d, 0.25443324852406857d);
    double d4 = logNormalDistribution3.getNumericalVariance();
    double d5 = logNormalDistribution3.getSupportLowerBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 5.961206980664208E42d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test003"); }


    org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(0L);
    well19937c1.clear();
    well19937c1.clear();
    org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator4 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
    org.apache.commons.math3.random.RandomDataImpl randomDataImpl5 = new org.apache.commons.math3.random.RandomDataImpl((org.apache.commons.math3.random.RandomGenerator)well19937c1);
    double d8 = randomDataImpl5.nextGaussian(0.0d, 3.128927132646175d);
    randomDataImpl5.reSeed(5297771915489543L);
    java.lang.String str12 = randomDataImpl5.nextSecureHexString(10510758);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == (-0.13604932863990932d));

  }

  @Test
  public void test004() {}
// Defects4J: flaky method
//   @Test
//   public void test004() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest2.test004"); }
// 
// 
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator0 = new org.apache.commons.math3.random.RandomDataGenerator();
//     randomDataGenerator0.reSeedSecure(0L);
//     double d4 = randomDataGenerator0.nextT(0.7853981633974483d);
//     long long7 = randomDataGenerator0.nextSecureLong((-14425434882009571L), 1L);
//     randomDataGenerator0.reSeedSecure(100L);
//     long long12 = randomDataGenerator0.nextSecureLong((-5297771915489543L), 21L);
//     long long14 = randomDataGenerator0.nextPoisson(18.606598966934524d);
//     // The following exception was thrown during execution in test generation
//     try {
//       int[] i_array17 = randomDataGenerator0.nextPermutation((-361288072), (-1044977));
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
//     } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d4 == 1.093601919430392d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long7 == (-9746547850626514L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long12 == (-3574948271835053L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long14 == 24L);
// 
//   }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test005"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor(0.8189158225840225d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test006"); }


    org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(0L);
    well19937c1.clear();
    well19937c1.clear();
    org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator4 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
    org.apache.commons.math3.random.RandomDataImpl randomDataImpl5 = new org.apache.commons.math3.random.RandomDataImpl((org.apache.commons.math3.random.RandomGenerator)well19937c1);
    well19937c1.clear();
    org.apache.commons.math3.distribution.GammaDistribution gammaDistribution10 = new org.apache.commons.math3.distribution.GammaDistribution((org.apache.commons.math3.random.RandomGenerator)well19937c1, 2.0679515313825692E-25d, 3.0d, 3.0d);
    long long11 = well19937c1.nextLong();
    double d12 = well19937c1.nextGaussian();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long11 == (-4736355256857903122L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == (-1.2016184922621251d));

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test007"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)0.9555903127131191d);

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test008"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(5.961206980664208E42d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test009"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    java.lang.Number number1 = null;
    org.apache.commons.math3.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math3.exception.OutOfRangeException(localizable0, number1, (java.lang.Number)3.3785197509536378d, (java.lang.Number)101.32494920447606d);
    java.lang.Number number5 = outOfRangeException4.getArgument();
    org.apache.commons.math3.exception.OutOfRangeException outOfRangeException9 = new org.apache.commons.math3.exception.OutOfRangeException((java.lang.Number)(-0.13604932863990932d), (java.lang.Number)0.027157870437780316d, (java.lang.Number)362880.0d);
    outOfRangeException4.addSuppressed((java.lang.Throwable)outOfRangeException9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test010"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(6513.659262797989d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.4196906009767108d));

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test011"); }


    org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10);
    well19937c1.clear();
    org.apache.commons.math3.random.Well19937c well19937c4 = new org.apache.commons.math3.random.Well19937c(0L);
    well19937c4.clear();
    well19937c4.clear();
    org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator7 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c4);
    org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator8 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c4);
    int[] i_array9 = new int[] {  };
    well19937c4.setSeed(i_array9);
    well19937c1.setSeed(i_array9);
    org.apache.commons.math3.random.RandomDataImpl randomDataImpl12 = new org.apache.commons.math3.random.RandomDataImpl((org.apache.commons.math3.random.RandomGenerator)well19937c1);
    int i13 = well19937c1.nextInt();
    // The following exception was thrown during execution in test generation
    try {
      int i15 = well19937c1.nextInt((-1044977));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 6510402);

  }

  @Test
  public void test012() {}
// Defects4J: flaky method
//   @Test
//   public void test012() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest2.test012"); }
// 
// 
//     org.apache.commons.math3.random.Well19937c well19937c0 = new org.apache.commons.math3.random.Well19937c();
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl((org.apache.commons.math3.random.RandomGenerator)well19937c0);
//     double d3 = randomDataImpl1.nextExponential(1.5707960861055352d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d3 == 1.017548525224711d);
// 
//   }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test013"); }


    org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10);
    org.apache.commons.math3.random.Well19937c well19937c3 = new org.apache.commons.math3.random.Well19937c(0L);
    well19937c3.clear();
    well19937c3.clear();
    org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator6 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c3);
    org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator7 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c3);
    int[] i_array8 = new int[] {  };
    well19937c3.setSeed(i_array8);
    well19937c1.setSeed(i_array8);
    org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator11 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
    // The following exception was thrown during execution in test generation
    try {
      int i14 = randomDataGenerator11.nextBinomial((-559104901), 2.0590674296044655d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array8);

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test014"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test015"); }


    org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(0L);
    well19937c1.clear();
    well19937c1.clear();
    org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator4 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
    org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator5 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
    org.apache.commons.math3.distribution.LogNormalDistribution logNormalDistribution9 = new org.apache.commons.math3.distribution.LogNormalDistribution((org.apache.commons.math3.random.RandomGenerator)well19937c1, Double.NaN, 1.0E-6d, 0.25443324852406857d);
    double d10 = logNormalDistribution9.getNumericalVariance();
    boolean b11 = logNormalDistribution9.isSupportLowerBoundInclusive();
    double d12 = logNormalDistribution9.getScale();
    double d13 = logNormalDistribution9.sample();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test016"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(1.9999999999999998d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0d);

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test017"); }


    org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(0L);
    well19937c1.clear();
    well19937c1.clear();
    org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator4 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
    org.apache.commons.math3.random.RandomDataImpl randomDataImpl5 = new org.apache.commons.math3.random.RandomDataImpl((org.apache.commons.math3.random.RandomGenerator)well19937c1);
    org.apache.commons.math3.random.RandomDataImpl randomDataImpl6 = new org.apache.commons.math3.random.RandomDataImpl((org.apache.commons.math3.random.RandomGenerator)well19937c1);
    double d9 = randomDataImpl6.nextWeibull(1.0E-6d, 5.0E-7d);
    // The following exception was thrown during execution in test generation
    try {
      randomDataImpl6.setSecureAlgorithm("", "b28129bbc3e3c4b65df0ba37e15fd019f7fe0a8ffaffc89879");
      org.junit.Assert.fail("Expected exception of type java.security.NoSuchProviderException");
    } catch (java.security.NoSuchProviderException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.security.NoSuchProviderException")) {
        org.junit.Assert.fail("Expected exception of type java.security.NoSuchProviderException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test018"); }


    org.apache.commons.math3.distribution.GammaDistribution gammaDistribution3 = new org.apache.commons.math3.distribution.GammaDistribution(0.0015158236600816277d, 0.10317795651242102d, 9.89136133847158d);

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test019"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math3.exception.OutOfRangeException(localizable0, (java.lang.Number)4.7421875d, (java.lang.Number)1.8072639426595813d, (java.lang.Number)80.64970732747861d);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext5 = outOfRangeException4.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext5);

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test020"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(2.288489025699458d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.2884890256994583d);

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test021"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh(1.3248654483819655d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7856932135153473d);

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test022"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs(9.536743E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 9.536743E-7f);

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test023"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt((-5.223817345407533d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test024() {}
// Defects4J: flaky method
//   @Test
//   public void test024() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest2.test024"); }
// 
// 
//     org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(0L);
//     well19937c1.clear();
//     well19937c1.clear();
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator4 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     randomDataGenerator4.reSeedSecure();
//     int i8 = randomDataGenerator4.nextZipf(100, 0.6483608274590866d);
//     long long11 = randomDataGenerator4.nextSecureLong(0L, 1L);
//     long long13 = randomDataGenerator4.nextPoisson(1.1102230246251565E-16d);
//     double d16 = randomDataGenerator4.nextUniform((-2.1198158446507436d), 7.853981633974483d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i8 == 50);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long11 == 1L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long13 == 0L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d16 == 1.4492205259730722d);
// 
//   }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test025"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)5.460370563288252d);

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test026"); }


    org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(0L);
    well19937c1.clear();
    well19937c1.clear();
    org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator4 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
    org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator5 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
    int[] i_array6 = new int[] {  };
    well19937c1.setSeed(i_array6);
    int i8 = well19937c1.nextInt();
    boolean b9 = well19937c1.nextBoolean();
    org.apache.commons.math3.random.RandomDataImpl randomDataImpl10 = new org.apache.commons.math3.random.RandomDataImpl((org.apache.commons.math3.random.RandomGenerator)well19937c1);
    org.apache.commons.math3.distribution.LogNormalDistribution logNormalDistribution14 = new org.apache.commons.math3.distribution.LogNormalDistribution((org.apache.commons.math3.random.RandomGenerator)well19937c1, 3.983873757879913d, 55.51775976468338d, 0.008597672037794109d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 1033627490);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == true);

  }

  @Test
  public void test027() {}
// Defects4J: flaky method
//   @Test
//   public void test027() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest2.test027"); }
// 
// 
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl0 = new org.apache.commons.math3.random.RandomDataImpl();
//     double d3 = randomDataImpl0.nextGamma(0.5750621590178359d, 48.89097005201885d);
//     randomDataImpl0.reSeed();
//     // The following exception was thrown during execution in test generation
//     try {
//       long long7 = randomDataImpl0.nextLong(0L, (-12240356702725278L));
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
//     } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d3 == 16.474773186034266d);
// 
//   }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test028"); }


    org.apache.commons.math3.exception.MathInternalError mathInternalError0 = new org.apache.commons.math3.exception.MathInternalError();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext1 = mathInternalError0.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext1);

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test029"); }


    org.apache.commons.math3.distribution.GammaDistribution gammaDistribution2 = new org.apache.commons.math3.distribution.GammaDistribution(3.141592653589793d, 1.0d);
    gammaDistribution2.reseedRandomGenerator((-10741776133606770L));
    boolean b5 = gammaDistribution2.isSupportUpperBoundInclusive();
    double d6 = gammaDistribution2.getScale();
    double d7 = gammaDistribution2.getScale();
    gammaDistribution2.reseedRandomGenerator(0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0d);

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test030"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(0.7456241416655579d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.107756563216827d);

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test031"); }


    double d4 = org.apache.commons.math3.special.Gamma.regularizedGammaQ(2.7652628152693652d, 2.513582339192797d, 0.0d, 1802130141);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.4811879371192209d);

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test032"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(1.8849816910329497E-35d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test033"); }


    org.apache.commons.math3.distribution.GammaDistribution gammaDistribution2 = new org.apache.commons.math3.distribution.GammaDistribution(3.141592653589793d, 1.0d);
    boolean b3 = gammaDistribution2.isSupportConnected();
    double d4 = gammaDistribution2.getShape();
    double d5 = gammaDistribution2.getScale();
    boolean b6 = gammaDistribution2.isSupportConnected();
    double d9 = gammaDistribution2.cumulativeProbability(3.6146374620770385d, 9.568413060802915E33d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.32936666013701754d);

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test034"); }


    double d1 = org.apache.commons.math3.special.Gamma.logGamma1p(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.0d));

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test035"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.exception.util.Localizable localizable7 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { Double.NaN };
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException10 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable7, obj_array9);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException11 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable5, (java.lang.Number)2.718281828459045d, obj_array9);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException12 = new org.apache.commons.math3.exception.NotFiniteNumberException((java.lang.Number)(-0.13604932863990932d), obj_array9);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException13 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable2, (java.lang.Number)(-3.2864959352687366d), obj_array9);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException14 = new org.apache.commons.math3.exception.NotFiniteNumberException(localizable0, (java.lang.Number)0.8335349071831082d, obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test036"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(231016041, 51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 231016041);

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test037"); }


    org.apache.commons.math3.analysis.integration.IterativeLegendreGaussIntegrator iterativeLegendreGaussIntegrator3 = new org.apache.commons.math3.analysis.integration.IterativeLegendreGaussIntegrator(6, 3.128927132646175d, 5.961206980664208E42d);
    double d4 = iterativeLegendreGaussIntegrator3.getRelativeAccuracy();
    double d5 = iterativeLegendreGaussIntegrator3.getAbsoluteAccuracy();
    int i6 = iterativeLegendreGaussIntegrator3.getIterations();
    int i7 = iterativeLegendreGaussIntegrator3.getEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 3.128927132646175d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 5.961206980664208E42d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test038"); }


    float f1 = org.apache.commons.math3.util.FastMath.ulp(9.094947E-13f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0842022E-19f);

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test039"); }


    double d1 = org.apache.commons.math3.special.Gamma.digamma(1.570796586151197d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.10067360176202078d);

  }

  @Test
  public void test040() {}
// Defects4J: flaky method
//   @Test
//   public void test040() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest2.test040"); }
// 
// 
//     org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(0L);
//     well19937c1.clear();
//     well19937c1.clear();
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator4 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     randomDataGenerator4.reSeedSecure();
//     int i8 = randomDataGenerator4.nextZipf(100, 0.6483608274590866d);
//     long long11 = randomDataGenerator4.nextSecureLong(0L, 1L);
//     long long13 = randomDataGenerator4.nextPoisson(1.1102230246251565E-16d);
//     int i16 = randomDataGenerator4.nextSecureInt((-615405710), 1164717693);
//     // The following exception was thrown during execution in test generation
//     try {
//       int i19 = randomDataGenerator4.nextBinomial(51, 107.72845695200017d);
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
//     } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i8 == 50);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long11 == 1L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long13 == 0L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i16 == (-6363721));
// 
//   }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test041"); }


    org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(0L);
    well19937c1.clear();
    well19937c1.clear();
    org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator4 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
    long long7 = randomDataGenerator4.nextLong(0L, 1L);
    double d10 = randomDataGenerator4.nextUniform(1.618569994354397d, 4.186395674974181d);
    double d13 = randomDataGenerator4.nextBeta(0.012260234705589559d, 5.460370563288252d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 3.1382515324598823d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test042"); }


    org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(0L);
    well19937c1.clear();
    well19937c1.clear();
    org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator4 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
    long long7 = randomDataGenerator4.nextLong(0L, 1L);
    double d11 = randomDataGenerator4.nextUniform((-1.0d), 0.9158810627712619d, false);
    int[] i_array14 = randomDataGenerator4.nextPermutation(51, 11);
    // The following exception was thrown during execution in test generation
    try {
      int i17 = randomDataGenerator4.nextInt(106497241, 100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.1338499736464439d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array14);

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test043"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable4 = null;
    java.lang.Object[] obj_array6 = new java.lang.Object[] { Double.NaN };
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException7 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable4, obj_array6);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException8 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable2, (java.lang.Number)2.718281828459045d, obj_array6);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException9 = new org.apache.commons.math3.exception.NotFiniteNumberException(localizable0, (java.lang.Number)4.0458695329945655d, obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test044"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(0.0f, (-1.0000001f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-0.0f));

  }

  @Test
  public void test045() {}
// Defects4J: flaky method
//   @Test
//   public void test045() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest2.test045"); }
// 
// 
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl0 = new org.apache.commons.math3.random.RandomDataImpl();
//     double d3 = randomDataImpl0.nextGamma(0.5750621590178359d, 48.89097005201885d);
//     double d6 = randomDataImpl0.nextF(2.1229835957723145E11d, 0.0170702464671521d);
//     // The following exception was thrown during execution in test generation
//     try {
//       randomDataImpl0.setSecureAlgorithm("bbcde163cb6da0ece4e061e2f8cf23ca27eea58773136974f9c", "c6e");
//       org.junit.Assert.fail("Expected exception of type java.security.NoSuchProviderException");
//     } catch (java.security.NoSuchProviderException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.security.NoSuchProviderException")) {
//         org.junit.Assert.fail("Expected exception of type java.security.NoSuchProviderException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d3 == 4.862163925513578d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d6 == 1325.846216008957d);
// 
//   }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test046"); }


    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math3.exception.MaxCountExceededException((java.lang.Number)0.0065841361338917406d);

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test047"); }


    org.apache.commons.math3.distribution.GammaDistribution gammaDistribution2 = new org.apache.commons.math3.distribution.GammaDistribution(3.141592653589793d, 1.0d);
    double d3 = gammaDistribution2.getNumericalVariance();
    gammaDistribution2.reseedRandomGenerator((-10741776133606770L));
    double d6 = gammaDistribution2.getShape();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 3.141592653589793d);

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test048"); }


    org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(0L);
    well19937c1.clear();
    well19937c1.clear();
    org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator4 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
    org.apache.commons.math3.random.RandomDataImpl randomDataImpl5 = new org.apache.commons.math3.random.RandomDataImpl((org.apache.commons.math3.random.RandomGenerator)well19937c1);
    double d8 = randomDataImpl5.nextGaussian(0.0d, 3.128927132646175d);
    randomDataImpl5.reSeedSecure((-1L));
    int i13 = randomDataImpl5.nextInt((-1102768644), 259184190);
    // The following exception was thrown during execution in test generation
    try {
      randomDataImpl5.setSecureAlgorithm("", "84fa1181fd75fa6ffb30549b539dbf0d1a4edf14f151e1b7a26");
      org.junit.Assert.fail("Expected exception of type java.security.NoSuchProviderException");
    } catch (java.security.NoSuchProviderException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.security.NoSuchProviderException")) {
        org.junit.Assert.fail("Expected exception of type java.security.NoSuchProviderException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == (-0.13604932863990932d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == (-615405710));

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test049"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(663.4667404772096d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test050"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test051"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(0.0d, 10510758);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test052"); }


    org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(0L);
    well19937c1.clear();
    well19937c1.clear();
    org.apache.commons.math3.distribution.NormalDistribution normalDistribution7 = new org.apache.commons.math3.distribution.NormalDistribution((org.apache.commons.math3.random.RandomGenerator)well19937c1, (-2000000.5772156648d), 0.006562555384843751d, 0.0d);
    double d9 = normalDistribution7.density(1.0E-6d);
    double d10 = normalDistribution7.getNumericalMean();
    double d13 = normalDistribution7.probability((-1.1749512320733517d), 2.034250360612386E14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == (-2000000.5772156648d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test053"); }


    org.apache.commons.math3.distribution.GammaDistribution gammaDistribution2 = new org.apache.commons.math3.distribution.GammaDistribution(0.00824744465034424d, 1582.5957444057128d);

  }

  @Test
  public void test054() {}
// Defects4J: flaky method
//   @Test
//   public void test054() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest2.test054"); }
// 
// 
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator0 = new org.apache.commons.math3.random.RandomDataGenerator();
//     int i3 = randomDataGenerator0.nextBinomial(4, 0.5772156649015329d);
//     randomDataGenerator0.reSeed((-5095184731157076496L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i3 == 3);
// 
//   }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test055"); }


    org.apache.commons.math3.distribution.GammaDistribution gammaDistribution2 = new org.apache.commons.math3.distribution.GammaDistribution(3.141592653589793d, 1.0d);
    gammaDistribution2.reseedRandomGenerator((-10741776133606770L));
    boolean b5 = gammaDistribution2.isSupportUpperBoundInclusive();
    double d6 = gammaDistribution2.getScale();
    double d7 = gammaDistribution2.getScale();
    double d9 = gammaDistribution2.cumulativeProbability(0.7856932135153473d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.03634695592139801d);

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test056"); }


    org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(0L);
    well19937c1.clear();
    well19937c1.clear();
    org.apache.commons.math3.distribution.NormalDistribution normalDistribution7 = new org.apache.commons.math3.distribution.NormalDistribution((org.apache.commons.math3.random.RandomGenerator)well19937c1, (-2000000.5772156648d), 0.006562555384843751d, 0.0d);
    double d9 = normalDistribution7.density(1.0E-6d);
    boolean b10 = normalDistribution7.isSupportLowerBoundInclusive();
    boolean b11 = normalDistribution7.isSupportUpperBoundInclusive();
    double d12 = normalDistribution7.getSupportLowerBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test057() {}
// Defects4J: flaky method
//   @Test
//   public void test057() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest2.test057"); }
// 
// 
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl0 = new org.apache.commons.math3.random.RandomDataImpl();
//     double d3 = randomDataImpl0.nextGamma(0.5750621590178359d, 48.89097005201885d);
//     randomDataImpl0.reSeed();
//     // The following exception was thrown during execution in test generation
//     try {
//       int[] i_array7 = randomDataImpl0.nextPermutation(2, 259184190);
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
//     } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d3 == 9.177704799232375d);
// 
//   }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test058"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)(-0.012260234705589559d), (java.lang.Number)2000000.5772156648d, true);

  }

  @Test
  public void test059() {}
// Defects4J: flaky method
//   @Test
//   public void test059() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest2.test059"); }
// 
// 
//     org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(0L);
//     well19937c1.clear();
//     well19937c1.clear();
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator4 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl5 = new org.apache.commons.math3.random.RandomDataImpl((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl6 = new org.apache.commons.math3.random.RandomDataImpl((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     double d9 = randomDataImpl6.nextWeibull(1.0E-6d, 5.0E-7d);
//     java.lang.String str11 = randomDataImpl6.nextSecureHexString(51);
//     double d13 = randomDataImpl6.nextExponential(101.32494920447606d);
//     long long16 = randomDataImpl6.nextLong((-528315698419272L), 630L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d9 == Double.POSITIVE_INFINITY);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str11 + "' != '" + "df08a60758997edec411725a759c60b69d261354fdd77788b35"+ "'", str11.equals("df08a60758997edec411725a759c60b69d261354fdd77788b35"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d13 == 18.606598966934524d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long16 == (-339262537186239L));
// 
//   }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test060"); }


    org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(0L);
    well19937c1.clear();
    well19937c1.clear();
    org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator4 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
    randomDataGenerator4.reSeedSecure();
    // The following exception was thrown during execution in test generation
    try {
      double d7 = randomDataGenerator4.nextChiSquare((-6.661338147750939E-16d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test061() {}
// Defects4J: flaky method
//   @Test
//   public void test061() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest2.test061"); }
// 
// 
//     org.apache.commons.math3.distribution.NormalDistribution normalDistribution3 = new org.apache.commons.math3.distribution.NormalDistribution(1.5707963267948966d, 1.8256121592230556E-7d, 2.2645004619949267d);
//     double d4 = normalDistribution3.sample();
//     double d5 = normalDistribution3.sample();
//     boolean b6 = normalDistribution3.isSupportUpperBoundInclusive();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d4 == 1.5707962535386455d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d5 == 1.5707959739465256d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b6 == false);
// 
//   }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test062"); }


    org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(0L);
    well19937c1.clear();
    well19937c1.clear();
    org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator4 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
    org.apache.commons.math3.random.RandomDataImpl randomDataImpl5 = new org.apache.commons.math3.random.RandomDataImpl((org.apache.commons.math3.random.RandomGenerator)well19937c1);
    double d8 = randomDataImpl5.nextGaussian(0.0d, 3.128927132646175d);
    randomDataImpl5.reSeedSecure((-1L));
    // The following exception was thrown during execution in test generation
    try {
      int i13 = randomDataImpl5.nextZipf((-2142646925), 11.833336070820506d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == (-0.13604932863990932d));

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test063"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1(103.06108678845877d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.73933125083442E44d);

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test064"); }


    org.apache.commons.math3.distribution.GammaDistribution gammaDistribution2 = new org.apache.commons.math3.distribution.GammaDistribution(3.141592653589793d, 1.0d);
    double d3 = gammaDistribution2.getNumericalVariance();
    double d4 = gammaDistribution2.getSupportLowerBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test065"); }


    double d1 = org.apache.commons.math3.special.Gamma.gamma(65.22133426393013d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.192274016088966E89d);

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test066"); }


    org.apache.commons.math3.distribution.NormalDistribution normalDistribution0 = new org.apache.commons.math3.distribution.NormalDistribution();
    double d3 = normalDistribution0.probability(3.4186808382904528d, 709.7827129237222d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 3.1462744158911813E-4d);

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test067"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(0.0f, 1.12589991E16f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test068"); }


    org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(10);
    org.apache.commons.math3.random.Well19937c well19937c3 = new org.apache.commons.math3.random.Well19937c(0L);
    well19937c3.clear();
    well19937c3.clear();
    org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator6 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c3);
    org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator7 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c3);
    int[] i_array8 = new int[] {  };
    well19937c3.setSeed(i_array8);
    well19937c1.setSeed(i_array8);
    org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator11 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
    double d13 = randomDataGenerator11.nextExponential(2.0137621450091822E34d);
    // The following exception was thrown during execution in test generation
    try {
      randomDataGenerator11.setSecureAlgorithm("19ab14b78e53bc8b591056bcebe046a627601e2e04ef95c4c2f0c899cf1204683643350d32efad040612d1c0b3627327296d", "org.apache.commons.math3.exception.NotANumberException: NaN is not allowed");
      org.junit.Assert.fail("Expected exception of type java.security.NoSuchProviderException");
    } catch (java.security.NoSuchProviderException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.security.NoSuchProviderException")) {
        org.junit.Assert.fail("Expected exception of type java.security.NoSuchProviderException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.3674508337679987E35d);

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test069"); }


    org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(0L);
    well19937c1.clear();
    well19937c1.clear();
    org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator4 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
    org.apache.commons.math3.random.RandomDataImpl randomDataImpl5 = new org.apache.commons.math3.random.RandomDataImpl((org.apache.commons.math3.random.RandomGenerator)well19937c1);
    double d6 = well19937c1.nextDouble();
    org.apache.commons.math3.distribution.NormalDistribution normalDistribution10 = new org.apache.commons.math3.distribution.NormalDistribution((org.apache.commons.math3.random.RandomGenerator)well19937c1, 124.34001467018942d, 0.7614307834314438d, 2.0679515313825692E-25d);
    double d11 = normalDistribution10.getSupportUpperBound();
    double d12 = normalDistribution10.getSupportLowerBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.7432416673360078d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test070"); }


    org.apache.commons.math3.distribution.GammaDistribution gammaDistribution2 = new org.apache.commons.math3.distribution.GammaDistribution(3.141592653589793d, 1.0d);
    double d3 = gammaDistribution2.getNumericalVariance();
    double d5 = gammaDistribution2.cumulativeProbability(2.442861425603902d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.40707433102440405d);

  }

  @Test
  public void test071() {}
// Defects4J: flaky method
//   @Test
//   public void test071() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest2.test071"); }
// 
// 
//     org.apache.commons.math3.distribution.GammaDistribution gammaDistribution2 = new org.apache.commons.math3.distribution.GammaDistribution(3.141592653589793d, 1.0d);
//     double d3 = gammaDistribution2.getBeta();
//     double d4 = gammaDistribution2.sample();
//     double d5 = gammaDistribution2.getBeta();
//     double d6 = gammaDistribution2.getScale();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d3 == 1.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d4 == 5.178921500244652d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d5 == 1.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d6 == 1.0d);
// 
//   }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test072"); }


    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)0L, (java.lang.Number)4, false);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext4 = numberIsTooLargeException3.getContext();
    boolean b5 = numberIsTooLargeException3.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test073"); }


    org.apache.commons.math3.distribution.GammaDistribution gammaDistribution2 = new org.apache.commons.math3.distribution.GammaDistribution(3.141592653589793d, 1.0d);
    double d3 = gammaDistribution2.getNumericalVariance();
    double d4 = gammaDistribution2.getBeta();
    double d6 = gammaDistribution2.density(3.1622776601683795d);
    double d8 = gammaDistribution2.density(48.87962048902859d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.21775763672840906d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0710533195736202E-18d);

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test074"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    java.lang.Number number1 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, number1, (java.lang.Number)(byte)(-1), false);
    boolean b5 = numberIsTooLargeException4.getBoundIsAllowed();
    boolean b6 = numberIsTooLargeException4.getBoundIsAllowed();
    java.lang.Number number7 = numberIsTooLargeException4.getMax();
    boolean b8 = numberIsTooLargeException4.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + (byte)(-1)+ "'", number7.equals((byte)(-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test075"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(24.97523267148752d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 24.975232671487525d);

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test076"); }


    org.apache.commons.math3.distribution.LogNormalDistribution logNormalDistribution2 = new org.apache.commons.math3.distribution.LogNormalDistribution(2.0045205787430918E-16d, 9.568413060802915E33d);
    double d3 = logNormalDistribution2.getShape();
    boolean b4 = logNormalDistribution2.isSupportConnected();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 9.568413060802915E33d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);

  }

  @Test
  public void test077() {}
// Defects4J: flaky method
//   @Test
//   public void test077() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest2.test077"); }
// 
// 
//     int[] i_array0 = null;
//     org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(i_array0);
//     int i2 = well19937c1.nextInt();
//     org.apache.commons.math3.distribution.LogNormalDistribution logNormalDistribution6 = new org.apache.commons.math3.distribution.LogNormalDistribution((org.apache.commons.math3.random.RandomGenerator)well19937c1, 1.8072639426595813d, 3.0313322672909018d, 65.22133426393013d);
//     double d7 = well19937c1.nextGaussian();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 1732792841);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d7 == (-0.2621873032386528d));
// 
//   }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test078"); }


    org.apache.commons.math3.distribution.NormalDistribution normalDistribution2 = new org.apache.commons.math3.distribution.NormalDistribution(0.761957659063951d, 4.749582445626102d);

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test079"); }


    org.apache.commons.math3.analysis.integration.IterativeLegendreGaussIntegrator iterativeLegendreGaussIntegrator3 = new org.apache.commons.math3.analysis.integration.IterativeLegendreGaussIntegrator(6, 3.128927132646175d, 5.961206980664208E42d);
    double d4 = iterativeLegendreGaussIntegrator3.getAbsoluteAccuracy();
    int i5 = iterativeLegendreGaussIntegrator3.getIterations();
    int i6 = iterativeLegendreGaussIntegrator3.getMinimalIterationCount();
    int i7 = iterativeLegendreGaussIntegrator3.getEvaluations();
    double d8 = iterativeLegendreGaussIntegrator3.getRelativeAccuracy();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction10 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d13 = iterativeLegendreGaussIntegrator3.integrate(259184190, univariateFunction10, 2.122983596261808E11d, 0.012260234705589559d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 5.961206980664208E42d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 3.128927132646175d);

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test080"); }


    org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(0L);
    well19937c1.clear();
    well19937c1.clear();
    org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator4 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
    org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator5 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
    org.apache.commons.math3.distribution.LogNormalDistribution logNormalDistribution9 = new org.apache.commons.math3.distribution.LogNormalDistribution((org.apache.commons.math3.random.RandomGenerator)well19937c1, Double.NaN, 1.0E-6d, 0.25443324852406857d);
    double d10 = logNormalDistribution9.getNumericalMean();
    boolean b11 = logNormalDistribution9.isSupportUpperBoundInclusive();
    boolean b12 = logNormalDistribution9.isSupportUpperBoundInclusive();
    double d15 = logNormalDistribution9.probability(1.2232970311980883E-9d, 0.0065841361338917406d);
    double d16 = logNormalDistribution9.sample();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d15, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d16, Double.NaN, 0);

  }

  @Test
  public void test081() {}
// Defects4J: flaky method
//   @Test
//   public void test081() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest2.test081"); }
// 
// 
//     org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(0L);
//     well19937c1.clear();
//     well19937c1.clear();
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator4 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl5 = new org.apache.commons.math3.random.RandomDataImpl((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl6 = new org.apache.commons.math3.random.RandomDataImpl((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     double d9 = randomDataImpl6.nextWeibull(1.0E-6d, 5.0E-7d);
//     java.lang.String str11 = randomDataImpl6.nextSecureHexString(50);
//     double d13 = randomDataImpl6.nextExponential(1.8256121592230556E-7d);
//     double d15 = randomDataImpl6.nextExponential(1.8256121592230556E-7d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d9 == Double.POSITIVE_INFINITY);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str11 + "' != '" + "fdf61cbd2ec9246ea29da3e3dcd0fb5e8c650965cc4cb2a910"+ "'", str11.equals("fdf61cbd2ec9246ea29da3e3dcd0fb5e8c650965cc4cb2a910"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d13 == 3.3524253979416005E-8d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d15 == 2.0529232664335816E-7d);
// 
//   }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test082"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(100.64139496453447d, 6.3611093629270335E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 100.64139496453447d);

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test083"); }


    org.apache.commons.math3.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math3.exception.OutOfRangeException((java.lang.Number)0.21775763672840903d, (java.lang.Number)657.6664733222275d, (java.lang.Number)(-0.012260849034863719d));
    java.lang.String str4 = outOfRangeException3.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math3.exception.OutOfRangeException: 0.218 out of [657.666, -0.012] range"+ "'", str4.equals("org.apache.commons.math3.exception.OutOfRangeException: 0.218 out of [657.666, -0.012] range"));

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test084"); }


    org.apache.commons.math3.distribution.LogNormalDistribution logNormalDistribution3 = new org.apache.commons.math3.distribution.LogNormalDistribution(94.854213203667d, 0.9158810627712619d, (-0.13604932863990932d));
    double d4 = logNormalDistribution3.getScale();
    double d5 = logNormalDistribution3.getNumericalMean();
    double d6 = logNormalDistribution3.getSupportLowerBound();
    double d9 = logNormalDistribution3.cumulativeProbability(0.0d, 3.5055218752039186d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 94.854213203667d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 2.381292604729266E41d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test085"); }


    org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(0L);
    well19937c1.clear();
    well19937c1.clear();
    org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator4 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
    org.apache.commons.math3.random.RandomDataImpl randomDataImpl5 = new org.apache.commons.math3.random.RandomDataImpl((org.apache.commons.math3.random.RandomGenerator)well19937c1);
    randomDataImpl5.reSeedSecure();
    org.apache.commons.math3.distribution.GammaDistribution gammaDistribution9 = new org.apache.commons.math3.distribution.GammaDistribution(3.141592653589793d, 1.0d);
    double d10 = randomDataImpl5.nextInversionDeviate((org.apache.commons.math3.distribution.RealDistribution)gammaDistribution9);
    double d13 = randomDataImpl5.nextGamma(1.0265713370084204E63d, 1.2455594480626055d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 4.0458695329945655d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.2786556279210992E63d);

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test086"); }


    org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(0L);
    well19937c1.clear();
    well19937c1.clear();
    org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator4 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
    org.apache.commons.math3.random.RandomDataImpl randomDataImpl5 = new org.apache.commons.math3.random.RandomDataImpl((org.apache.commons.math3.random.RandomGenerator)well19937c1);
    double d6 = well19937c1.nextDouble();
    double d7 = well19937c1.nextGaussian();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.distribution.NormalDistribution normalDistribution11 = new org.apache.commons.math3.distribution.NormalDistribution((org.apache.commons.math3.random.RandomGenerator)well19937c1, 0.013707783890401887d, 0.0d, 0.10474327301841906d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.7432416673360078d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == (-1.2016184922621251d));

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test087"); }


    org.apache.commons.math3.analysis.integration.IterativeLegendreGaussIntegrator iterativeLegendreGaussIntegrator3 = new org.apache.commons.math3.analysis.integration.IterativeLegendreGaussIntegrator(6, 3.128927132646175d, 5.961206980664208E42d);
    double d4 = iterativeLegendreGaussIntegrator3.getAbsoluteAccuracy();
    int i5 = iterativeLegendreGaussIntegrator3.getIterations();
    int i6 = iterativeLegendreGaussIntegrator3.getMinimalIterationCount();
    int i7 = iterativeLegendreGaussIntegrator3.getIterations();
    int i8 = iterativeLegendreGaussIntegrator3.getIterations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 5.961206980664208E42d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test088"); }


    org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(0L);
    well19937c1.clear();
    well19937c1.clear();
    org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator4 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
    org.apache.commons.math3.random.RandomDataImpl randomDataImpl5 = new org.apache.commons.math3.random.RandomDataImpl((org.apache.commons.math3.random.RandomGenerator)well19937c1);
    org.apache.commons.math3.random.RandomDataImpl randomDataImpl6 = new org.apache.commons.math3.random.RandomDataImpl((org.apache.commons.math3.random.RandomGenerator)well19937c1);
    int i9 = randomDataImpl6.nextZipf(5, 14.577951308232311d);
    double d12 = randomDataImpl6.nextCauchy(0.0d, 5.557816927474756d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.649145961200662d);

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test089"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(3.327324888408388E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.3273248884083885E-8d);

  }

  @Test
  public void test090() {}
// Defects4J: flaky method
//   @Test
//   public void test090() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest2.test090"); }
// 
// 
//     org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(0L);
//     well19937c1.clear();
//     well19937c1.clear();
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator4 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     randomDataGenerator4.reSeedSecure();
//     int i8 = randomDataGenerator4.nextZipf(100, 0.6483608274590866d);
//     long long11 = randomDataGenerator4.nextSecureLong(0L, 1L);
//     long long13 = randomDataGenerator4.nextPoisson(1.1102230246251565E-16d);
//     int i16 = randomDataGenerator4.nextSecureInt((-615405710), 1164717693);
//     double d18 = randomDataGenerator4.nextT(3.3785197509536378d);
//     java.util.Collection collection19 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       java.lang.Object[] obj_array21 = randomDataGenerator4.nextSample(collection19, 2);
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i8 == 50);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long11 == 1L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long13 == 0L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i16 == 1060364467);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d18 == (-0.39619015116950923d));
// 
//   }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test091"); }


    double d2 = org.apache.commons.math3.special.Gamma.regularizedGammaQ(0.3760067263723986d, 0.6218099972365794d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.1938393848665918d);

  }

  @Test
  public void test092() {}
// Defects4J: flaky method
//   @Test
//   public void test092() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest2.test092"); }
// 
// 
//     org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(0L);
//     well19937c1.clear();
//     well19937c1.clear();
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator4 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl5 = new org.apache.commons.math3.random.RandomDataImpl((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     java.lang.String str7 = randomDataImpl5.nextSecureHexString(100);
//     double d9 = randomDataImpl5.nextExponential(100.4987562112089d);
//     long long11 = randomDataImpl5.nextPoisson(1.8072639426595813d);
//     double d14 = randomDataImpl5.nextUniform(2.107864008894843d, 65.22133426393013d);
//     // The following exception was thrown during execution in test generation
//     try {
//       long long17 = randomDataImpl5.nextLong(7614672342148386795L, 49L);
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
//     } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str7 + "' != '" + "4dbe5b81818785b6d145c86340a5c85a43bcf5f8e2f33a355783234a7dd8ee790e9553d378d7c6e2ddffec109732e1217c53"+ "'", str7.equals("4dbe5b81818785b6d145c86340a5c85a43bcf5f8e2f33a355783234a7dd8ee790e9553d378d7c6e2ddffec109732e1217c53"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d9 == 48.89097005201885d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long11 == 2L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d14 == 55.51775976468338d);
// 
//   }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test093"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(5.071943492606922d, 67.83685881181785d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.5971812266544285d);

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test094"); }


    org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(0L);
    well19937c1.clear();
    well19937c1.clear();
    org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator4 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
    long long7 = randomDataGenerator4.nextLong(0L, 1L);
    double d11 = randomDataGenerator4.nextUniform((-1.0d), 0.9158810627712619d, false);
    double d14 = randomDataGenerator4.nextGamma(2.97878167572632d, 1.2786556279210992E63d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.1338499736464439d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 2.1116824648685017E63d);

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test095"); }


    org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(0L);
    well19937c1.clear();
    well19937c1.clear();
    org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator4 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
    org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator5 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
    org.apache.commons.math3.distribution.LogNormalDistribution logNormalDistribution9 = new org.apache.commons.math3.distribution.LogNormalDistribution((org.apache.commons.math3.random.RandomGenerator)well19937c1, Double.NaN, 1.0E-6d, 0.25443324852406857d);
    double d10 = logNormalDistribution9.getNumericalMean();
    boolean b11 = logNormalDistribution9.isSupportUpperBoundInclusive();
    double d12 = logNormalDistribution9.getShape();
    double d13 = logNormalDistribution9.getSupportLowerBound();
    double d14 = logNormalDistribution9.getSupportUpperBound();
    double d17 = logNormalDistribution9.probability(0.0d, 8.042078645177495E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d17, Double.NaN, 0);

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test096"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(0.0f, 193405092);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test097"); }


    int i2 = org.apache.commons.math3.util.FastMath.max((-2142646925), (-1102768644));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1102768644));

  }

  @Test
  public void test098() {}
// Defects4J: flaky method
//   @Test
//   public void test098() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest2.test098"); }
// 
// 
//     org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(0L);
//     well19937c1.clear();
//     well19937c1.clear();
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator4 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c1);
//     long long7 = randomDataGenerator4.nextLong(0L, 1L);
//     int i10 = randomDataGenerator4.nextSecureInt(627011667, 1164717693);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long7 == 1L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i10 == 960892725);
// 
//   }

  @Test
  public void test099() {}
// Defects4J: flaky method
//   @Test
//   public void test099() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest2.test099"); }
// 
// 
//     int[] i_array0 = null;
//     org.apache.commons.math3.random.Well19937c well19937c1 = new org.apache.commons.math3.random.Well19937c(i_array0);
//     int i2 = well19937c1.nextInt();
//     org.apache.commons.math3.distribution.NormalDistribution normalDistribution6 = new org.apache.commons.math3.distribution.NormalDistribution((org.apache.commons.math3.random.RandomGenerator)well19937c1, 32.94631867978169d, 0.006562555384843751d, (-0.9263199699115587d));
//     org.apache.commons.math3.random.Well19937c well19937c8 = new org.apache.commons.math3.random.Well19937c(10);
//     org.apache.commons.math3.random.Well19937c well19937c10 = new org.apache.commons.math3.random.Well19937c(0L);
//     well19937c10.clear();
//     well19937c10.clear();
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator13 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c10);
//     org.apache.commons.math3.random.RandomDataGenerator randomDataGenerator14 = new org.apache.commons.math3.random.RandomDataGenerator((org.apache.commons.math3.random.RandomGenerator)well19937c10);
//     int[] i_array15 = new int[] {  };
//     well19937c10.setSeed(i_array15);
//     well19937c8.setSeed(i_array15);
//     well19937c1.setSeed(i_array15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i2 == 1745667760);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array15);
// 
//   }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test100"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(0.74324155f, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.7432415f);

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test101"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin((-44.90866671802684d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test102"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.distribution.LogNormalDistribution logNormalDistribution3 = new org.apache.commons.math3.distribution.LogNormalDistribution(4.326116975351777d, (-2000000.5772156648d), 2.0045205787430918E-16d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test103"); }


    org.apache.commons.math3.distribution.GammaDistribution gammaDistribution2 = new org.apache.commons.math3.distribution.GammaDistribution(3.141592653589793d, 1.0d);
    double d3 = gammaDistribution2.getSupportLowerBound();
    double d4 = gammaDistribution2.getSupportLowerBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test104"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(3.229425847920695d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.0d);

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test105"); }


    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)4.674031846406711d, (java.lang.Number)53.23339930546383d, true);

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test106"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor(1.5707959556867948d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test107"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor(3.3273248884083885E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

}
